%define _altdata_dir %_datadir/alterator

Name: alterator-net-pppoe
Version: 0.4.4
Release: alt3

Summary: alterator module for pppoe connections configuration
License: GPL
Group: System/Configuration/Other

Packager: Stanislav Ievlev <inger@altlinux.org>
Source: %name-%version.tar
BuildArch: noarch

Requires: alterator >= 2.9 gettext
Requires: alterator-net-common
Requires: rp-pppoe-client
Conflicts: alterator-fbi < 0.15-alt2

BuildPreReq: alterator >= 3.1, alterator-standalone >= 2.5-alt0.3, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for pppoe connections configuration

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

# TODO:
# - add MPPE to html/fbi too
# - merge up with /net-pptp -> /net-vpn,
#   move PPP-related part to separate tab (/net-pppoptions)
#   (see #11988 for comprehensive discussion of tunables)

%files -f %name.lang
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_altdata_dir/help/*/*
%_var/www/html/*
%_alterator_backend3dir/*

%changelog
* Tue Mar 04 2008 Michael Shigorin <mike@altlinux.org> 0.4.4-alt3
- rebuild

* Tue Mar 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4.4-alt2
- Change help paths to the new style.

* Sun Mar 02 2008 Michael Shigorin <mike@altlinux.org> 0.4.4-alt1
- applied modified patch by Konstantin Uvarin (lodin@)
  to move password from chap-secrets which is shared by 
  all connections into interface-specific pppoptions (#14649)

* Fri Dec 07 2007 Michael Shigorin <mike@altlinux.org> 0.4.3-alt1
- s/1492/1476/ (as suggested by shrek@, see #11958c15)

* Thu Dec 06 2007 Michael Shigorin <mike@altlinux.org> 0.4.2-alt1
- added default MTU value (1492, as recommended in poptop docs)

* Thu Dec 06 2007 Michael Shigorin <mike@altlinux.org> 0.4.1-alt1
- added MPPE checkbox and defaultroute (partial fix for #11958)
- uk.po update

* Thu Jul 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- use alterator-net-common common library

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt13
- add desktop file

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt12
- rebuild with latest standalone
- add interface status info

* Fri May 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt11
- switch to new card-index scripts

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt10
- update Ukrainian translation

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt9
- little CSS optimizations

* Thu Apr 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt8
- remove config-*

* Mon Apr 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt7
- add Ukrainian translation
- help improvements from kirill@

* Fri Mar 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- improve po template generation
- add documentation

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- assign 'Network' group

* Wed Mar 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- more translations
- use gridbox

* Thu Feb 22 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- use ifup/ifdown instead of whole network restart
- enable auto-select

* Mon Feb 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- simplify backend
- fix ethernet device listing

* Thu Feb 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add fbi data

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- require gettext
- add label constraints

* Wed Dec 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- fix backend (read on /)

* Wed Dec 06 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- move "first available interface" logic from UI to backend
- list all available eth interfaces itself

* Wed Nov 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- visualize constraints

* Tue Nov 14 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- enable constraints

* Wed Nov 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- use native message boxes

* Wed Nov 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release


